libgdamm: Gnome::Gda::HandlerType Class Reference

libgdamm 4.99.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gnome::Gda::HandlerType Class Reference
Data Handlers

Default handler for GType values. More...

Inheritance diagram for Gnome::Gda::HandlerType:
[legend]
Collaboration diagram for Gnome::Gda::HandlerType:
[legend]

List of all members.

## Public Member Functions
virtual | ~HandlerType ()
GdaHandlerType* | gobj ()
| Provides access to the underlying C GObject.
const GdaHandlerType* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerType* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< HandlerType > | create ()
## Protected Member Functions
| HandlerType ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerType > | wrap (GdaHandlerType* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default handler for GType values.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerType::~HandlerType | ( |  | ) | `[virtual]`

Gnome::Gda::HandlerType::HandlerType | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerType> Gnome::Gda::HandlerType::create | ( |  | ) | `[static]`

const GdaHandlerType* Gnome::Gda::HandlerType::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerType* Gnome::Gda::HandlerType::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerType* Gnome::Gda::HandlerType::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerType > wrap | ( | GdaHandlerType * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlertype.h